Namespace
library
Image / Tag
matomo:3.4-fpm
Content Digest
sha256:66b98bb7a2e78467e905a519eec27bc70cbe27e66511f36270faab32e1023d55
Details
Created

2018-05-05 20:25:15 UTC

Size

185 MB

Content Digest
Labels
  • maintainer
    pierre@piwik.org

Environment
GPG_KEYS

A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

MATOMO_VERSION

3.4.0

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.1.17.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

1a784806866e06367f7a5c88775d239d6f30041c7ce65a8232d03a3d4de56d56

PHP_URL

https://secure.php.net/get/php-7.1.17.tar.xz/from/this/mirror

PHP_VERSION

7.1.17


Layers

[#000] sha256:05b419d667f793c8c2edf0ff0aec14fc4d66733cdb89957ac89e8bfbeaddd0fa - 28.11% (52 MB)

[#001] sha256:bd18170ff2659cc2ddceaa6b03e3c3aa4ad13fe33d45d7744a899216dc16737a - 0.0% (227 Bytes)

[#002] sha256:8b8219d0249055ccdcf6641c37e9b225c4a8a2d3fa69412aa12329eaff95d777 - 41.19% (76.1 MB)

[#003] sha256:25d976645f1404d485fbe1f217b7455509e678a19baced0db974142ec2a5074a - 0.0% (183 Bytes)

[#004] sha256:e72e6430d28835bc6ce8df12d970a9154797034601398c7fa303c4d04810b1fb - 6.47% (12 MB)

[#005] sha256:0f3d35100c204837b453cdf1663d33aa2555ab1fec9568e98ae3ade6af4e07b8 - 0.0% (498 Bytes)

[#006] sha256:7b2c68e34043026a33d951793bd02a5311c14f206b93718c59538af5dc439219 - 7.95% (14.7 MB)

[#007] sha256:6c2d93b8dc60b6cbdc99f8d3619ca33ed9717a36424ba86ebc1df1c0b196444e - 0.0% (2.13 KB)

[#008] sha256:05dbeed026faa69411bbbb45e922121ab275f8f9cb674ab427033078741ce1e2 - 0.0% (130 Bytes)

[#009] sha256:1ffc4a3a702953b7aacc3265447eef4f911c8f273b7b5cb0255d40054d77919b - 0.0% (7.59 KB)

[#010] sha256:9e0bce2104de998bd0049d46c6698900bf97cad1899a99ed52819354ef282e1c - 1.54% (2.86 MB)

[#011] sha256:f2f32b42a699dfe2f9833bdc727c36914e8616b2883d8f6d3f34077af6f61e51 - 7.56% (14 MB)

[#012] sha256:66e4a8c3e95d326ae994c8285c006b3d4be8fb6ba60d296a1958bde76f5da530 - 0.0% (294 Bytes)

[#013] sha256:af9ca491f0ce24f5d99f6a9013b18d2bb390ccad408e9db4ad0897f6f1360e3c - 7.18% (13.3 MB)

[#014] sha256:7f60e519e3d5e57b574ddbf9c59220be5407b1e2a826ee5459ff58aab205d526 - 0.0% (223 Bytes)


History
2018-04-28 10:39:32 UTC

/bin/sh -c #(nop) ADD file:ce5174f2b2c155a2421fac3ff37a02d9551d5d79e31a541189bcfd2416a6903a in /

2018-04-28 10:39:32 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-04-28 16:07:40 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-04-28 16:07:40 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-04-28 16:08:29 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-04-28 16:08:29 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-04-28 16:08:30 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-04-28 16:18:28 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data

2018-04-28 16:18:28 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-04-28 16:18:28 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-04-28 16:18:29 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-04-28 16:18:29 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

2018-05-05 14:55:00 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.1.17

2018-05-05 14:55:00 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.1.17.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.1.17.tar.xz.asc/from/this/mirror

2018-05-05 14:55:01 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=1a784806866e06367f7a5c88775d239d6f30041c7ce65a8232d03a3d4de56d56 PHP_MD5=

2018-05-05 14:55:38 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-05-05 14:55:38 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-05-05 15:00:11 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --disable-cgi --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-05-05 15:00:12 UTC

/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/

2018-05-05 15:00:12 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-05-05 15:00:12 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-05-05 15:00:13 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-05-05 15:00:13 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-05-05 15:00:13 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-05-05 20:22:51 UTC

/bin/sh -c #(nop) LABEL maintainer=pierre@piwik.org

2018-05-05 20:25:05 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libgeoip-dev libjpeg-dev libldap2-dev libpng12-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install gd ldap mysqli opcache pdo_mysql zip ; pecl install APCu-5.1.9 geoip-1.1.1 redis-3.1.6 ; docker-php-ext-enable apcu geoip redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-05-05 20:25:06 UTC

/bin/sh -c #(nop) ENV MATOMO_VERSION=3.4.0

2018-05-05 20:25:13 UTC

/bin/sh -c set -ex; curl -fsSL -o piwik.tar.gz "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz"; curl -fsSL -o piwik.tar.gz.asc "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --keyserver ha.pool.sks-keyservers.net --recv-keys 814E346FA01A20DBB04B6807B5DBD5925590A237; gpg --batch --verify piwik.tar.gz.asc piwik.tar.gz; rm -r "$GNUPGHOME" piwik.tar.gz.asc; tar -xzf piwik.tar.gz -C /usr/src/; rm piwik.tar.gz

2018-05-05 20:25:13 UTC

/bin/sh -c #(nop) COPY file:2bb39e74aa27ed262fe882fbe94a76456ae9dc4b330877ebfaf80c5598a3ee99 in /usr/local/etc/php/php.ini

2018-05-05 20:25:15 UTC

/bin/sh -c set -ex; curl -fsSL -o /usr/src/piwik/misc/GeoIPCity.dat.gz https://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz; gunzip /usr/src/piwik/misc/GeoIPCity.dat.gz

2018-05-05 20:25:15 UTC

/bin/sh -c #(nop) COPY file:624ec542e8b52694362740314ac6948ac2d59a5d302df84808cc0cfbddea1e59 in /entrypoint.sh

2018-05-05 20:25:15 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-05-05 20:25:15 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-05-05 20:25:15 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-05-05 13:19:40 UTC

Size

179 MB

Content Digest
Labels
  • maintainer
    pierre@piwik.org

Environment
GPG_KEYS

A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

MATOMO_VERSION

3.4.0

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.1.17.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

1a784806866e06367f7a5c88775d239d6f30041c7ce65a8232d03a3d4de56d56

PHP_URL

https://secure.php.net/get/php-7.1.17.tar.xz/from/this/mirror

PHP_VERSION

7.1.17


Layers

[#000] sha256:3d77ce4481b119f00e53bee9b4a443469c42c224db954ddaa2e6b74cd73cd5d0 - 28.87% (51.7 MB)

[#001] sha256:32bfdb6043a841abdd5bc9f7efcfa1281cc517fc2112f99db013793d2df9e9d7 - 0.0% (226 Bytes)

[#002] sha256:327a3b8246c6014487246bf899947e96eeaff0e29d81cb620ea3e029a54d7111 - 39.73% (71.2 MB)

[#003] sha256:1e3b73e77223911e268897f6a159b4df1c493624c5edf2d4d17cf8fddf9d0540 - 0.0% (183 Bytes)

[#004] sha256:3419f313de78eb662f60fe44f8b7ca625bdba73b35ea0e9c12400c0f29a6aab1 - 6.68% (12 MB)

[#005] sha256:e626d3ae7d6cd89533d2ef167277c344bb011c831512b34d77f69d3ac205e3b6 - 0.0% (500 Bytes)

[#006] sha256:5ab803047f9ef16be58acb3d3b9185b76c771e8cc107d9d01eb1170219884eaa - 7.95% (14.3 MB)

[#007] sha256:503af35c117852b38a02d670684cc1c43d0bd75ebb49ea6a117ecb77aa92d386 - 0.0% (2.13 KB)

[#008] sha256:fb0b5668ac6883e1a4d4e4788cf1ce3deaf4a38b48323f60451e3756854e7cf4 - 0.0% (130 Bytes)

[#009] sha256:d96e0b5186ff8acb5a9a7eb5ae4104959936307bbb8f3d12212e288ee4eb95df - 0.0% (7.59 KB)

[#010] sha256:f202810002122e4043de5a10ece4924e97bd1d80896cba85132e2c517b93e04b - 1.56% (2.8 MB)

[#011] sha256:7a47de7a4293c3e4dc7d2f945fd7b7d101a3803d1e37c8711d423f3915ca0d9b - 7.8% (14 MB)

[#012] sha256:a022dd5752e726b73e135997144caed32bfb41e4489f887c8a04733fa7eeeb27 - 0.0% (293 Bytes)

[#013] sha256:2992ff94f6547d8b53afb1b92428ff32d18ca488aea2cab3e987ca0117ee4b3a - 7.4% (13.3 MB)

[#014] sha256:c2962112c5e7e960667bf2b13a79d1c0c838b5c2f37d0ab9efc518eef0fe1fd8 - 0.0% (224 Bytes)


History
2018-04-28 06:44:15 UTC

/bin/sh -c #(nop) ADD file:3e6141c0c9cb74b14a281eb3ab7aaf162a625733e652c3948b323bb2ec8b4343 in /

2018-04-28 06:44:16 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-04-30 22:07:39 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-04-30 22:07:39 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-04-30 22:08:18 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-04-30 22:08:18 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-04-30 22:08:19 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-04-30 22:48:15 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data

2018-04-30 22:48:16 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-04-30 22:48:16 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-04-30 22:48:16 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-04-30 22:48:16 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

2018-05-05 01:14:03 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.1.17

2018-05-05 01:14:04 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.1.17.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.1.17.tar.xz.asc/from/this/mirror

2018-05-05 01:14:04 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=1a784806866e06367f7a5c88775d239d6f30041c7ce65a8232d03a3d4de56d56 PHP_MD5=

2018-05-05 01:14:27 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-05-05 01:14:28 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-05-05 01:18:34 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --disable-cgi --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-05-05 01:18:35 UTC

/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/

2018-05-05 01:18:35 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-05-05 01:18:35 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-05-05 01:18:36 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-05-05 01:18:36 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-05-05 01:18:36 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-05-05 13:17:35 UTC

/bin/sh -c #(nop) LABEL maintainer=pierre@piwik.org

2018-05-05 13:19:30 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libgeoip-dev libjpeg-dev libldap2-dev libpng12-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install gd ldap mysqli opcache pdo_mysql zip ; pecl install APCu-5.1.9 geoip-1.1.1 redis-3.1.6 ; docker-php-ext-enable apcu geoip redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-05-05 13:19:30 UTC

/bin/sh -c #(nop) ENV MATOMO_VERSION=3.4.0

2018-05-05 13:19:37 UTC

/bin/sh -c set -ex; curl -fsSL -o piwik.tar.gz "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz"; curl -fsSL -o piwik.tar.gz.asc "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --keyserver ha.pool.sks-keyservers.net --recv-keys 814E346FA01A20DBB04B6807B5DBD5925590A237; gpg --batch --verify piwik.tar.gz.asc piwik.tar.gz; rm -r "$GNUPGHOME" piwik.tar.gz.asc; tar -xzf piwik.tar.gz -C /usr/src/; rm piwik.tar.gz

2018-05-05 13:19:38 UTC

/bin/sh -c #(nop) COPY file:2bb39e74aa27ed262fe882fbe94a76456ae9dc4b330877ebfaf80c5598a3ee99 in /usr/local/etc/php/php.ini

2018-05-05 13:19:39 UTC

/bin/sh -c set -ex; curl -fsSL -o /usr/src/piwik/misc/GeoIPCity.dat.gz https://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz; gunzip /usr/src/piwik/misc/GeoIPCity.dat.gz

2018-05-05 13:19:39 UTC

/bin/sh -c #(nop) COPY file:624ec542e8b52694362740314ac6948ac2d59a5d302df84808cc0cfbddea1e59 in /entrypoint.sh

2018-05-05 13:19:39 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-05-05 13:19:39 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-05-05 13:19:40 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-05-05 14:05:16 UTC

Size

163 MB

Content Digest
Labels
  • maintainer
    pierre@piwik.org

Environment
GPG_KEYS

A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

MATOMO_VERSION

3.4.0

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.1.17.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

1a784806866e06367f7a5c88775d239d6f30041c7ce65a8232d03a3d4de56d56

PHP_URL

https://secure.php.net/get/php-7.1.17.tar.xz/from/this/mirror

PHP_VERSION

7.1.17


Layers

[#000] sha256:81fc0826192f72abe617753d378af4047dbce89faf17cdab9166877006a25d8e - 30.77% (50 MB)

[#001] sha256:0a193b8504eb6b9f5709d50765cb68dd66bd24bd9d03374d50dbb5cffa97a823 - 0.0% (226 Bytes)

[#002] sha256:33e56fb7ad870d3ded499c66179bafe9989e20182e7c168cd86b41879ad7b3d4 - 35.1% (57.1 MB)

[#003] sha256:706a522f37f235db79b901d5f6575a64d3a7cdc04a0a61cf4c61bc9b8aa612de - 0.0% (212 Bytes)

[#004] sha256:c83e1d7d97a01b74c50dde6eca1d22af535532f90591735ef33932dc6466a107 - 7.36% (12 MB)

[#005] sha256:58343df6b389b058d18198fc9d128a8fc0a9e7849bfa5b829a9e78bff427ab2c - 0.0% (502 Bytes)

[#006] sha256:77ed5f3b72ff22d2bdd92654fb9e6859933420a57cf1c7b1e62473db541763d8 - 8.29% (13.5 MB)

[#007] sha256:e8d294a98813c0235cc3d8d6ba74acd1bbf225b3164c03640fc65a44caf9c8d4 - 0.0% (2.13 KB)

[#008] sha256:5eadaea6f11d03c802446260af5f6d825d287e9bb41a92769ca31dc6dd62b910 - 0.0% (161 Bytes)

[#009] sha256:693d60be14d26e9ce3f21b842fa82e016f6c2fdb7818bc2dc6d32e85388cdbc5 - 0.0% (7.59 KB)

[#010] sha256:e803b9f7e1d38d5dd89fa3b5f6796fa8ac3ea838e08c93e13c0cc4b95f81ec32 - 1.71% (2.78 MB)

[#011] sha256:7ed15567981d64a8fbdfaea9c6c3a88ac4213735447a2c9e140e02a12788dea2 - 8.6% (14 MB)

[#012] sha256:f239a31a9c229edc7acffe63fbbf0a7dadcbacf06fc792dd4e9d331357658025 - 0.0% (293 Bytes)

[#013] sha256:5659bb74ba6b3b1a10bc5f09841b806f9a06eafabefe0d0fe102480052f46a34 - 8.16% (13.3 MB)

[#014] sha256:bb9607994039c5e2a59d2460e809a77d214cda9440258ebc82100900fbcc30bd - 0.0% (224 Bytes)


History
2018-04-28 08:49:23 UTC

/bin/sh -c #(nop) ADD file:2d2cd360e66aeff5557c7e7117985a00d109278c3f456ee970afcc9a46483264 in /

2018-04-28 08:49:23 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-04-28 09:51:22 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-04-28 09:51:22 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-04-28 09:52:08 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-04-28 09:52:08 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-04-28 09:52:09 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-04-28 10:00:49 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data

2018-04-28 10:00:49 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-04-28 10:00:49 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-04-28 10:00:49 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-04-28 10:00:50 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

2018-05-05 10:29:10 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.1.17

2018-05-05 10:29:11 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.1.17.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.1.17.tar.xz.asc/from/this/mirror

2018-05-05 10:29:11 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=1a784806866e06367f7a5c88775d239d6f30041c7ce65a8232d03a3d4de56d56 PHP_MD5=

2018-05-05 10:29:47 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-05-05 10:29:47 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-05-05 10:33:27 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --disable-cgi --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-05-05 10:33:28 UTC

/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/

2018-05-05 10:33:29 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-05-05 10:33:29 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-05-05 10:33:30 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-05-05 10:33:30 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-05-05 10:33:30 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-05-05 14:00:46 UTC

/bin/sh -c #(nop) LABEL maintainer=pierre@piwik.org

2018-05-05 14:04:52 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libgeoip-dev libjpeg-dev libldap2-dev libpng12-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install gd ldap mysqli opcache pdo_mysql zip ; pecl install APCu-5.1.9 geoip-1.1.1 redis-3.1.6 ; docker-php-ext-enable apcu geoip redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-05-05 14:04:52 UTC

/bin/sh -c #(nop) ENV MATOMO_VERSION=3.4.0

2018-05-05 14:05:07 UTC

/bin/sh -c set -ex; curl -fsSL -o piwik.tar.gz "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz"; curl -fsSL -o piwik.tar.gz.asc "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --keyserver ha.pool.sks-keyservers.net --recv-keys 814E346FA01A20DBB04B6807B5DBD5925590A237; gpg --batch --verify piwik.tar.gz.asc piwik.tar.gz; rm -r "$GNUPGHOME" piwik.tar.gz.asc; tar -xzf piwik.tar.gz -C /usr/src/; rm piwik.tar.gz

2018-05-05 14:05:09 UTC

/bin/sh -c #(nop) COPY file:2bb39e74aa27ed262fe882fbe94a76456ae9dc4b330877ebfaf80c5598a3ee99 in /usr/local/etc/php/php.ini

2018-05-05 14:05:13 UTC

/bin/sh -c set -ex; curl -fsSL -o /usr/src/piwik/misc/GeoIPCity.dat.gz https://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz; gunzip /usr/src/piwik/misc/GeoIPCity.dat.gz

2018-05-05 14:05:14 UTC

/bin/sh -c #(nop) COPY file:624ec542e8b52694362740314ac6948ac2d59a5d302df84808cc0cfbddea1e59 in /entrypoint.sh

2018-05-05 14:05:15 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-05-05 14:05:15 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-05-05 14:05:16 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-05-05 16:03:28 UTC

Size

160 MB

Content Digest
Labels
  • maintainer
    pierre@piwik.org

Environment
GPG_KEYS

A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

MATOMO_VERSION

3.4.0

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.1.17.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

1a784806866e06367f7a5c88775d239d6f30041c7ce65a8232d03a3d4de56d56

PHP_URL

https://secure.php.net/get/php-7.1.17.tar.xz/from/this/mirror

PHP_VERSION

7.1.17


Layers

[#000] sha256:5c478157e28e3c26a0209484edb518799e1c21863d4700579c010b7203e0537f - 29.92% (47.9 MB)

[#001] sha256:0213928c0dd5da95b9450a17fd7aca6a62773f1d859604d933b85305496942f8 - 0.0% (228 Bytes)

[#002] sha256:e11a9598525439d82f293c271f07eeb0da750ef1d07d2bd915257b06bdc54ba7 - 35.94% (57.5 MB)

[#003] sha256:31ebb7600419415b7d5e92d9da706a45ab80d6a05935aa9500eda8439e6fbba0 - 0.0% (214 Bytes)

[#004] sha256:e9f6a0aa8a71e00719a9e87d8b173d18919554cc4ea664f89c31f09dba02dd51 - 7.48% (12 MB)

[#005] sha256:93e535cba02f31c5e8b0915514fe71ae633f1e6464d00aa3d5261fc0fc57e9b2 - 0.0% (502 Bytes)

[#006] sha256:69f50324b6b2dd14e343befd68602bd0e85889da356875a6e8a06d0f630cda77 - 7.94% (12.7 MB)

[#007] sha256:eb6e1087e5de24e05448848042ff4c512bf0729fdb15a1113009f3f6d296fca8 - 0.0% (2.13 KB)

[#008] sha256:24d310254fbca8690cec56f920efc9ac54dfb6d3cab9e335847791c2de3e9ce7 - 0.0% (161 Bytes)

[#009] sha256:86c5b129590fedce969a445a64aa2ff5cd95186462436a229c2aac7cf9798110 - 0.0% (7.59 KB)

[#010] sha256:531d4ae62b37437c527a3a4c57fdffa3a0726e3e7d4855ad80661b260cc7e40f - 1.68% (2.68 MB)

[#011] sha256:803978c4b6c20543f29f5674b6a7baabbe5cea35c831955b4d5478dc9d4fe031 - 8.74% (14 MB)

[#012] sha256:8f32c643420b8e36ea2644b45026cd2e99c1b731bf670972d7865d1326985195 - 0.0% (293 Bytes)

[#013] sha256:79879dd9635dc2d81988a80371d2360faa0b73fd6403fc166cd442130d3d1636 - 8.29% (13.3 MB)

[#014] sha256:65f0ae0f14cdcf6a8657895a4d15b0e9944affd37376e168f623849dcd8d338d - 0.0% (225 Bytes)


History
2018-04-28 11:59:05 UTC

/bin/sh -c #(nop) ADD file:4e9c283075c120ce66f83bf541b0aeaa8a46f74c21d38e4ab1578e7f1b892823 in /

2018-04-28 11:59:05 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-04-28 13:03:13 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-04-28 13:03:14 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-04-28 13:04:00 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-04-28 13:04:01 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-04-28 13:04:02 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-04-28 13:15:05 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data

2018-04-28 13:15:06 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-04-28 13:15:06 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-04-28 13:15:06 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-04-28 13:15:07 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

2018-05-05 13:11:56 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.1.17

2018-05-05 13:11:56 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.1.17.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.1.17.tar.xz.asc/from/this/mirror

2018-05-05 13:11:56 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=1a784806866e06367f7a5c88775d239d6f30041c7ce65a8232d03a3d4de56d56 PHP_MD5=

2018-05-05 13:12:30 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-05-05 13:12:36 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-05-05 13:15:56 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --disable-cgi --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-05-05 13:15:57 UTC

/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/

2018-05-05 13:15:57 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-05-05 13:15:58 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-05-05 13:16:00 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-05-05 13:16:00 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-05-05 13:16:01 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-05-05 15:59:45 UTC

/bin/sh -c #(nop) LABEL maintainer=pierre@piwik.org

2018-05-05 16:03:15 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libgeoip-dev libjpeg-dev libldap2-dev libpng12-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install gd ldap mysqli opcache pdo_mysql zip ; pecl install APCu-5.1.9 geoip-1.1.1 redis-3.1.6 ; docker-php-ext-enable apcu geoip redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-05-05 16:03:15 UTC

/bin/sh -c #(nop) ENV MATOMO_VERSION=3.4.0

2018-05-05 16:03:23 UTC

/bin/sh -c set -ex; curl -fsSL -o piwik.tar.gz "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz"; curl -fsSL -o piwik.tar.gz.asc "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --keyserver ha.pool.sks-keyservers.net --recv-keys 814E346FA01A20DBB04B6807B5DBD5925590A237; gpg --batch --verify piwik.tar.gz.asc piwik.tar.gz; rm -r "$GNUPGHOME" piwik.tar.gz.asc; tar -xzf piwik.tar.gz -C /usr/src/; rm piwik.tar.gz

2018-05-05 16:03:25 UTC

/bin/sh -c #(nop) COPY file:2bb39e74aa27ed262fe882fbe94a76456ae9dc4b330877ebfaf80c5598a3ee99 in /usr/local/etc/php/php.ini

2018-05-05 16:03:27 UTC

/bin/sh -c set -ex; curl -fsSL -o /usr/src/piwik/misc/GeoIPCity.dat.gz https://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz; gunzip /usr/src/piwik/misc/GeoIPCity.dat.gz

2018-05-05 16:03:27 UTC

/bin/sh -c #(nop) COPY file:624ec542e8b52694362740314ac6948ac2d59a5d302df84808cc0cfbddea1e59 in /entrypoint.sh

2018-05-05 16:03:27 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-05-05 16:03:28 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-05-05 16:03:28 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-05-05 23:50:56 UTC

Size

162 MB

Content Digest
Labels
  • maintainer
    pierre@piwik.org

Environment
GPG_KEYS

A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

MATOMO_VERSION

3.4.0

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.1.17.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

1a784806866e06367f7a5c88775d239d6f30041c7ce65a8232d03a3d4de56d56

PHP_URL

https://secure.php.net/get/php-7.1.17.tar.xz/from/this/mirror

PHP_VERSION

7.1.17


Layers

[#000] sha256:363cfded2ef3921ef972c85cafc77cf16cdcfddfd49782ad4540cb73fd5e57a2 - 30.2% (49.1 MB)

[#001] sha256:b8e9e3d8bcce8661a6b24ab3cf077c1f0d54d8b307e06d39fa82bba2daa565b4 - 0.0% (228 Bytes)

[#002] sha256:f40a93b5d1cd328d12fd18331407452b63291c71b9781769aa7df6058ba7976e - 35.79% (58.2 MB)

[#003] sha256:3cfe981d1ac7e42f0b4c549c8f6681b85fd93b16b4e4df0253f42bfb3dada59c - 0.0% (184 Bytes)

[#004] sha256:7ae3b3b4f888558fe2e8b418f18f286b7f27729f1300dcd46666c5237d4314bc - 7.36% (12 MB)

[#005] sha256:1cdf8f17cec7e763773fe09af6bd4e8da32f32fb55c411fdf6107a02135a4078 - 0.0% (499 Bytes)

[#006] sha256:1cecb33e3e30ab01e745500deaac76bb656f328cca54aa0e61c5421cdfafcce2 - 8.17% (13.3 MB)

[#007] sha256:46dd3c2ec80264816c05b3f09924afa200e5d4444e9e64f0e296ff4d30b46a4e - 0.0% (2.14 KB)

[#008] sha256:726a1d5ee2c54d22fcc76ffdbfcc2159a743fdd9cc9efe8d8c24067d76d1293c - 0.0% (130 Bytes)

[#009] sha256:b633e51f8f166f28925dbe84faed7f8e0804250a3ffe084d1bac8d3d35ebe2a9 - 0.0% (7.59 KB)

[#010] sha256:de062845aa6b5010d31ce67d0994e04b0eeb9c3b0948fa0cdab297bf9a8a70d0 - 1.7% (2.76 MB)

[#011] sha256:70d7aca421ee4f565b1bb6c3f86da8233abb5ac8d9bc86b92646344c17ebd824 - 8.61% (14 MB)

[#012] sha256:a9e360787af7404e96464fbd17f5a2f60b10abf16b30d07f584430380363a8ff - 0.0% (295 Bytes)

[#013] sha256:93a5e28af46267dfb8df0d1e0e707bdc0507bb01aacbd5be4d8c18a123237550 - 8.17% (13.3 MB)

[#014] sha256:f180de749841e63a63ca67807ae0e4435b771d9802c2fc7225b1a06e79a2f187 - 0.0% (223 Bytes)


History
2018-04-30 23:21:38 UTC

/bin/sh -c #(nop) ADD file:387c83918422a6546379c4d84818ca3949fcd63aec058da562b08c947a9ed571 in /

2018-04-30 23:21:40 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-05-01 05:15:17 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-05-01 05:15:18 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-05-01 05:17:51 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-05-01 05:17:53 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-05-01 05:17:55 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-05-01 05:40:22 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data

2018-05-01 05:40:23 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-05-01 05:40:23 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-05-01 05:40:24 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-05-01 05:40:25 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

2018-05-05 16:06:53 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.1.17

2018-05-05 16:06:54 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.1.17.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.1.17.tar.xz.asc/from/this/mirror

2018-05-05 16:06:55 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=1a784806866e06367f7a5c88775d239d6f30041c7ce65a8232d03a3d4de56d56 PHP_MD5=

2018-05-05 16:07:39 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-05-05 16:07:41 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-05-05 16:24:39 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --disable-cgi --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-05-05 16:24:42 UTC

/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/

2018-05-05 16:24:43 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-05-05 16:24:44 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-05-05 16:24:47 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-05-05 16:24:48 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-05-05 16:24:49 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-05-05 23:45:46 UTC

/bin/sh -c #(nop) LABEL maintainer=pierre@piwik.org

2018-05-05 23:50:33 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libgeoip-dev libjpeg-dev libldap2-dev libpng12-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install gd ldap mysqli opcache pdo_mysql zip ; pecl install APCu-5.1.9 geoip-1.1.1 redis-3.1.6 ; docker-php-ext-enable apcu geoip redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-05-05 23:50:34 UTC

/bin/sh -c #(nop) ENV MATOMO_VERSION=3.4.0

2018-05-05 23:50:45 UTC

/bin/sh -c set -ex; curl -fsSL -o piwik.tar.gz "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz"; curl -fsSL -o piwik.tar.gz.asc "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --keyserver ha.pool.sks-keyservers.net --recv-keys 814E346FA01A20DBB04B6807B5DBD5925590A237; gpg --batch --verify piwik.tar.gz.asc piwik.tar.gz; rm -r "$GNUPGHOME" piwik.tar.gz.asc; tar -xzf piwik.tar.gz -C /usr/src/; rm piwik.tar.gz

2018-05-05 23:50:47 UTC

/bin/sh -c #(nop) COPY file:2bb39e74aa27ed262fe882fbe94a76456ae9dc4b330877ebfaf80c5598a3ee99 in /usr/local/etc/php/php.ini

2018-05-05 23:50:51 UTC

/bin/sh -c set -ex; curl -fsSL -o /usr/src/piwik/misc/GeoIPCity.dat.gz https://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz; gunzip /usr/src/piwik/misc/GeoIPCity.dat.gz

2018-05-05 23:50:52 UTC

/bin/sh -c #(nop) COPY file:624ec542e8b52694362740314ac6948ac2d59a5d302df84808cc0cfbddea1e59 in /entrypoint.sh

2018-05-05 23:50:53 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-05-05 23:50:55 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-05-05 23:50:56 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-04-28 19:30:30 UTC

Size

170 MB

Content Digest
Labels
  • maintainer
    pierre@piwik.org

Environment
GPG_KEYS

A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

MATOMO_VERSION

3.4.0

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.1.16.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

a5d67e477248a3911af7ef85c8400c1ba8cd632184186fd31070b96714e669f1

PHP_URL

https://secure.php.net/get/php-7.1.16.tar.xz/from/this/mirror

PHP_VERSION

7.1.16


Layers

[#000] sha256:2668401c9f940b1d6b03e5f0086fa248cb957610ef9a7c79983d2fb0707ec76c - 29.9% (50.9 MB)

[#001] sha256:ab57a3b897280fa0531b28f553be2bb8e02286f9d7fa57d4cad45895a78f6a22 - 0.0% (228 Bytes)

[#002] sha256:1ba8e575d76eba8311538528d53b68bd87b1cb1374aa0b22dae4fbeb3f129617 - 37.09% (63.2 MB)

[#003] sha256:bca19563d733e42ed2dc8b03c406107199e00d70ac284614e402437d9707e4c6 - 0.0% (212 Bytes)

[#004] sha256:e4a0e1123b35272531cbd53ae7afbed643087fb9b16d44a6d8ddd56298ce34fb - 7.03% (12 MB)

[#005] sha256:d294fc12d0df6064365e5cc671a944e9a4e2874c1bb5e9cf68e6b138206b4a62 - 0.0% (499 Bytes)

[#006] sha256:dc35b96f440b4beff3ed2a17c451472ce62f615d2918f0529374e8a99c7df6d4 - 8.28% (14.1 MB)

[#007] sha256:a3b687352f28e3e4c51cf47b7307b145bdf10ef0bdcb223a24f9b8f9da894181 - 0.0% (2.13 KB)

[#008] sha256:74b3a87dd46bfd6c0366b7944e3fc98c7623c2e83bab0ba30927d7ba4e3defe8 - 0.0% (161 Bytes)

[#009] sha256:e500ee3122630f3fa60b96822cc74aeb16218cb4edb759d33be30ca418aa7d92 - 0.0% (7.59 KB)

[#010] sha256:bb19ec7f854739d9d746eb4976597d6398d76ab67ba48334478e8f046c13795f - 1.69% (2.88 MB)

[#011] sha256:71ff6cc4ca55028f94e1cd5a09ce36ac81357055db0b47bb0e75f355f3c627b2 - 8.21% (14 MB)

[#012] sha256:265616764497b866f23d9c1a9eefe1a10c0350dcf98fc94ce66b06c3f88ce860 - 0.0% (293 Bytes)

[#013] sha256:669e982a7f0bfc339586b4f058a84c9a0a32b2a3829e4614947da872c9602318 - 7.79% (13.3 MB)

[#014] sha256:6d122f7dab239fe527ddb71dc3c3af4b0c0d152d298d5a062dd779e6dbbfacd5 - 0.0% (223 Bytes)


History
2018-04-28 08:17:46 UTC

/bin/sh -c #(nop) ADD file:6a4bd4ea54f669286e984ecf8178e1fa7c12c8b6fc0f96e4203ae7a6f99a2279 in /

2018-04-28 08:17:47 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-04-28 10:41:01 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-04-28 10:41:01 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-04-28 10:42:43 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-04-28 10:42:44 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-04-28 10:42:48 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-04-28 10:56:32 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data

2018-04-28 10:56:33 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-04-28 10:56:34 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-04-28 10:56:35 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-04-28 10:56:36 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

2018-04-28 10:56:37 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.1.16

2018-04-28 10:56:38 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.1.16.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.1.16.tar.xz.asc/from/this/mirror

2018-04-28 10:56:39 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=a5d67e477248a3911af7ef85c8400c1ba8cd632184186fd31070b96714e669f1 PHP_MD5=

2018-04-28 10:57:54 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-04-28 10:57:55 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-04-28 11:03:05 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --disable-cgi --enable-ftp --enable-mbstring --enable-mysqlnd --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-04-28 11:03:07 UTC

/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/

2018-04-28 11:03:08 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-04-28 11:03:09 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-04-28 11:03:12 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-04-28 11:03:14 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-04-28 11:03:15 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-04-28 19:26:01 UTC

/bin/sh -c #(nop) LABEL maintainer=pierre@piwik.org

2018-04-28 19:30:11 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libgeoip-dev libjpeg-dev libldap2-dev libpng12-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install gd ldap mysqli opcache pdo_mysql zip ; pecl install APCu-5.1.9 geoip-1.1.1 redis-3.1.6 ; docker-php-ext-enable apcu geoip redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-04-28 19:30:12 UTC

/bin/sh -c #(nop) ENV MATOMO_VERSION=3.4.0

2018-04-28 19:30:24 UTC

/bin/sh -c set -ex; curl -fsSL -o piwik.tar.gz "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz"; curl -fsSL -o piwik.tar.gz.asc "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --keyserver ha.pool.sks-keyservers.net --recv-keys 814E346FA01A20DBB04B6807B5DBD5925590A237; gpg --batch --verify piwik.tar.gz.asc piwik.tar.gz; rm -r "$GNUPGHOME" piwik.tar.gz.asc; tar -xzf piwik.tar.gz -C /usr/src/; rm piwik.tar.gz

2018-04-28 19:30:25 UTC

/bin/sh -c #(nop) COPY file:2bb39e74aa27ed262fe882fbe94a76456ae9dc4b330877ebfaf80c5598a3ee99 in /usr/local/etc/php/php.ini

2018-04-28 19:30:28 UTC

/bin/sh -c set -ex; curl -fsSL -o /usr/src/piwik/misc/GeoIPCity.dat.gz https://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz; gunzip /usr/src/piwik/misc/GeoIPCity.dat.gz

2018-04-28 19:30:28 UTC

/bin/sh -c #(nop) COPY file:624ec542e8b52694362740314ac6948ac2d59a5d302df84808cc0cfbddea1e59 in /entrypoint.sh

2018-04-28 19:30:29 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-04-28 19:30:29 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-04-28 19:30:30 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2018-04-28 20:00:58 UTC

Size

166 MB

Content Digest
Labels
  • maintainer
    pierre@piwik.org

Environment
GPG_KEYS

A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

MATOMO_VERSION

3.4.0

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.1.16.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

a5d67e477248a3911af7ef85c8400c1ba8cd632184186fd31070b96714e669f1

PHP_URL

https://secure.php.net/get/php-7.1.16.tar.xz/from/this/mirror

PHP_VERSION

7.1.16


Layers

[#000] sha256:e0524893a6d25f3e36c190fea678ecf1845e7c0d2ba833b077a429d64b943e0a - 31.3% (51.9 MB)

[#001] sha256:70c2c3153f8b90130ce9362e0427cf20e4c062e8342e24492df77f81d4312532 - 0.0% (229 Bytes)

[#002] sha256:1c9d3757f94a9c59093dff823898651ef6b13984eab11753f1722f8d5f541515 - 34.54% (57.3 MB)

[#003] sha256:e27d40a0edb248166128cfcd0a64e7298f1a6dc81de86306cd71dbe060dbbb4f - 0.0% (183 Bytes)

[#004] sha256:8d504df14c80b02ae21818837b7a678aa85ded1745ecac337d96b97f0a328a42 - 7.21% (12 MB)

[#005] sha256:472bd20e7a01dcffed66b6fd87cf91187b503293689b004c878cdd46990a5fc6 - 0.0% (499 Bytes)

[#006] sha256:1b11cacc178f8c41f3736fc67ecb059c150f2c9cccbf84975c37f3f1bc79585d - 8.76% (14.5 MB)

[#007] sha256:294708fd798311f346b5e9b5b94af30a711480681e3a5edf831e8879c99bb8a7 - 0.0% (2.13 KB)

[#008] sha256:c17733d1f5bab829e5ad2a14a9a0c5e0a79d3848f4089fdd52a67aa3adfc0cff - 0.0% (130 Bytes)

[#009] sha256:479e2786b8958498861eac8537884c8ca3bd70cc015591d8c43ec0d154a9f3df - 0.0% (7.59 KB)

[#010] sha256:6d6401f4838e1b9985f7e8e67c7459aecfe1ab1311a67315304294d5da2a20e0 - 1.76% (2.91 MB)

[#011] sha256:b75835ff48a276919a233e4390fe07e9fa7d02aa897458a88cf3d8997fe350cf - 8.43% (14 MB)

[#012] sha256:4c2a308b477952c17c5411c2691e46eb4bc5edfb34c36188f72340137bfedbd4 - 0.0% (293 Bytes)

[#013] sha256:82f369914a95d6e3f2bf260ba7b3203cf445e79270d4367e82c512c4770c114f - 8.0% (13.3 MB)

[#014] sha256:2356fd060e6b119e8e34cbda451d6b3dc972ad6f9073f8b5849725c2c49947d1 - 0.0% (223 Bytes)


History
2018-04-28 11:42:31 UTC

/bin/sh -c #(nop) ADD file:ac1cfec75c7e1898f2c9b7d17653da3684fdda7d14440ce16f1939bb66105cdc in /

2018-04-28 11:42:31 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-04-28 13:36:03 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2018-04-28 13:36:03 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2018-04-28 13:36:24 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2018-04-28 13:36:24 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2018-04-28 13:36:25 UTC

/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d

2018-04-28 13:43:48 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data

2018-04-28 13:43:48 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-04-28 13:43:48 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2018-04-28 13:43:49 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2018-04-28 13:43:49 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=A917B1ECDA84AEC2B568FED6F50ABC807BD5DCD0 528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 1729F83938DA44E27BA0F4D3DBDB397470D12172

2018-04-28 13:43:49 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.1.16

2018-04-28 13:43:49 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.1.16.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.1.16.tar.xz.asc/from/this/mirror

2018-04-28 13:43:49 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=a5d67e477248a3911af7ef85c8400c1ba8cd632184186fd31070b96714e669f1 PHP_MD5=

2018-04-28 13:44:02 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2018-04-28 13:44:03 UTC

/bin/sh -c #(nop) COPY file:207c686e3fed4f71f8a7b245d8dcae9c9048d276a326d82b553c12a90af0c0ca in /usr/local/bin/

2018-04-28 13:47:53 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --disable-cgi --enable-ftp --enable-mbstring --enable-mysqlnd --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2018-04-28 13:47:54 UTC

/bin/sh -c #(nop) COPY multi:af8a06a5cfc82b17b169c6d1e48630a516582fa7ce00d8e59e5a378e100d064a in /usr/local/bin/

2018-04-28 13:47:54 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2018-04-28 13:47:55 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2018-04-28 13:47:55 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2018-04-28 13:47:55 UTC

/bin/sh -c #(nop) EXPOSE 9000/tcp

2018-04-28 13:47:56 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2018-04-28 19:58:59 UTC

/bin/sh -c #(nop) LABEL maintainer=pierre@piwik.org

2018-04-28 20:00:46 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libfreetype6-dev libgeoip-dev libjpeg-dev libldap2-dev libpng12-dev ; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; docker-php-ext-configure gd --with-freetype-dir=/usr --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-configure ldap --with-libdir="lib/$debMultiarch"; docker-php-ext-install gd ldap mysqli opcache pdo_mysql zip ; pecl install APCu-5.1.9 geoip-1.1.1 redis-3.1.6 ; docker-php-ext-enable apcu geoip redis ; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2018-04-28 20:00:46 UTC

/bin/sh -c #(nop) ENV MATOMO_VERSION=3.4.0

2018-04-28 20:00:51 UTC

/bin/sh -c set -ex; curl -fsSL -o piwik.tar.gz "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz"; curl -fsSL -o piwik.tar.gz.asc "https://builds.matomo.org/piwik-${MATOMO_VERSION}.tar.gz.asc"; export GNUPGHOME="$(mktemp -d)"; gpg --keyserver ha.pool.sks-keyservers.net --recv-keys 814E346FA01A20DBB04B6807B5DBD5925590A237; gpg --batch --verify piwik.tar.gz.asc piwik.tar.gz; rm -r "$GNUPGHOME" piwik.tar.gz.asc; tar -xzf piwik.tar.gz -C /usr/src/; rm piwik.tar.gz

2018-04-28 20:00:56 UTC

/bin/sh -c #(nop) COPY file:2bb39e74aa27ed262fe882fbe94a76456ae9dc4b330877ebfaf80c5598a3ee99 in /usr/local/etc/php/php.ini

2018-04-28 20:00:57 UTC

/bin/sh -c set -ex; curl -fsSL -o /usr/src/piwik/misc/GeoIPCity.dat.gz https://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz; gunzip /usr/src/piwik/misc/GeoIPCity.dat.gz

2018-04-28 20:00:58 UTC

/bin/sh -c #(nop) COPY file:624ec542e8b52694362740314ac6948ac2d59a5d302df84808cc0cfbddea1e59 in /entrypoint.sh

2018-04-28 20:00:58 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2018-04-28 20:00:58 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/entrypoint.sh"]

2018-04-28 20:00:58 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete